local L = LibStub("AceLocale-3.0"):GetLocale("Talented")
local StaticPopupDialogs = StaticPopupDialogs

function Talented:LearnTalent(template, tab, index)
	local isPet = not RAID_CLASS_COLORS[template.class]
	local p = self.db.profile

	if not p.confirmlearn then
		LearnTalent(tab, index, isPet)
		return
	end
	
	if not p.always_call_learn_talents then
		local state = self:GetTalentState(template, tab, index)
		if
			state == "full" or -- talent maxed out
			state == "unavailable" or -- prereqs not fullfilled
			GetUnspentTalentPoints(nil, isPet) == 0 -- no more points
		then
			return
		end
	end

	local opt = StaticPopupDialogs.TALENTED_CONFIRM_LEARN
	if not opt then
		opt = {
			button1 = YES,
			button2 = NO,
			OnAccept = function()
				LearnTalent(opt.talent_tab, opt.talent_index, opt.is_pet)
			end,
			timeout = 0,
			exclusive = 1,
			whileDead = 1,
			interruptCinematic = 1
		}
		StaticPopupDialogs.TALENTED_CONFIRM_LEARN = opt
	end

	opt.text = string.format(L["Are you sure that you want to learn \"%s (%d/%d)\" ?"],
		self:GetTalentName(template.class, tab, index),
		template[tab][index] + 1,
		self:GetTalentRanks(template.class, tab, index))

	opt.talent_tab = tab
	opt.talent_index = index
	opt.is_pet = isPet

	StaticPopup_Show("TALENTED_CONFIRM_LEARN")
end
